jQuery(document).ready(function() {

    if (jQuery("#lang").val() == "de") {
        var validateMessages = {
            prg_twitter: "Die Nachricht darf maximal 120 Zeichen lang sein",
            prg_linkedin: "Die Nachricht darf maximal 600 Zeichen lang sein",
            bereits_veroeffentlicht: "Dieser Beitrag wurde auf Ihrem Profil bereits veröffentlicht",
            fehlerTwitter: "Fehler beim Veröffentlichen auf Twitter",
            fehlerFacebook: "Fehler beim Veröffentlichen auf Facebook",
            fehlerLinkedin: "Fehler beim Veröffentlichen auf Linkedin",
            fehlerGoogleplus: "Fehler beim Veröffentlichen auf GooglePlus",
            fehlerTumblr: "Fehler beim Veröffentlichen auf Tumblr",
            erfolg: "Mitteilung erfolgreich übermittelt!",
            zuerstVeroeffentlichen: "Der Beitrag muss zuerst veröffentlicht werden, bevor er an soziale Netzwerke übermittelt werden kann"
        };
    } else if (jQuery("#lang").val() == "en") {
        var validateMessages = {
            prg_twitter: "max. 120 characters",
            prg_linkedin: "max. 600 characters",
            bereits_veroeffentlicht: "This post has already been published on your profile",
            fehlerTwitter: "Failed to publish on Twitter",
            fehlerFacebook: "Failed to publish on Facebook",
            fehlerLinkedin: "Failed to publish on Linkedin",
            fehlerGoogleplus: "Failed to publish on GooglePlus",
            fehlerTumblr: "Failed to publish on Tumblr",
            erfolg: "Message successful transfered",
            zuerstVeroeffentlichen: "Your Post has to be published before transfered to social Networks"
        };
    }

    if (jQuery("#closeFB").val() == "1") {
        openInfoBox('<div class="alert alert-danger">' + validateMessages.zuerstVeroeffentlichen + '</div>');
    }

    jQuery(document).on("keyup", '#prg_twitter', function() {
        var maxChars = 139 - jQuery("#shortUrl").val().length;
        var remaining;

        var rest = parseInt(jQuery(this).val().length);
        var firsttext = jQuery('#prg_twitter').val().substring(0, maxChars);
        firsttext = firsttext + '<span class="my_span">';
        var secoundtext = jQuery('#prg_twitter').val().substring(maxChars, rest);
        secoundtext = secoundtext + '</span>\n\
\n\
<a href="' + jQuery("#shortUrl").val() + '">' + jQuery("#shortUrl").val() + '</a>';
        jQuery('#preTwitter').html(firsttext + secoundtext);
        remaining = maxChars - jQuery(this).val().length;
        if (remaining < 0) {
            remaining = '0';
        }
        jQuery("#countdownTwit").html(remaining);
    });

    jQuery(document).on("keydown", '#prg_twitter', function() {
        var maxChars = 139 - jQuery("#shortUrl").val().length;
        var remaining;

        var rest = parseInt(jQuery(this).val().length);
        var firsttext = jQuery('#prg_twitter').val().substring(0, maxChars);
        firsttext = firsttext + '<span class="my_span">';
        var secoundtext = jQuery('#prg_twitter').val().substring(maxChars, rest);
        secoundtext = secoundtext + '</span>\n\
\n\
<a href="' + jQuery("#shortUrl").val() + '">' + jQuery("#shortUrl").val() + '</a>';
        jQuery('#preTwitter').html(firsttext + secoundtext);
        remaining = maxChars - jQuery(this).val().length;
        if (remaining <= 0) {
            remaining = 0;
        }
        jQuery("#countdownTwit").html(remaining);
    });

    jQuery(document).on("keyup", '#prg_linkedin', function() {

        var rest = parseInt(jQuery(this).val().length);
        var firsttext = jQuery('#prg_linkedin').val().substring(0, 600);
        firsttext = firsttext + '<span class="my_span">';
        var secoundtext = jQuery('#prg_linkedin').val().substring(600, rest);
        jQuery('#preLinkedin').html(firsttext + secoundtext);

    });

    jQuery('#prg_twitter').trigger('keyup');
    jQuery('#prg_facebook').trigger('keyup');
    jQuery('#prg_linkedin').trigger('keyup');
//    jQuery('#prg_googleplus').trigger('keyup');

    jQuery("#checkTwitter").change(function() {
        if (jQuery("#checkTwitter:checked").length) {
            jQuery("#prg_twitter").css("background-color", "rgba(0, 0, 0, 0)");
            jQuery("#prg_twitter").css("color", "#555555");
            jQuery("#prg_twitter").attr("readonly", false);
        } else {
            jQuery("#prg_twitter").attr("readonly", true);
            jQuery("#prg_twitter").css("background-color", "#EBEBE4");
            jQuery("#prg_twitter").css("color", "#ACA899");
        }
    });

    jQuery("#checkFacebook").change(function() {
        if (jQuery("#checkFacebook:checked").length) {
            jQuery("#prg_facebook").css("background-color", "rgba(0, 0, 0, 0)");
            jQuery("#prg_facebook").css("color", "#555555");
            jQuery("#prg_facebook").attr("readonly", false);
        } else {
            jQuery("#prg_facebook").attr("readonly", true);
            jQuery("#prg_facebook").css("background-color", "#EBEBE4");
            jQuery("#prg_facebook").css("color", "#ACA899");
        }
    });

    jQuery("#checkLinkedin").change(function() {
        if (jQuery("#checkLinkedin:checked").length) {
            jQuery("#prg_linkedin").css("background-color", "rgba(0, 0, 0, 0)");
            jQuery("#prg_linkedin").css("color", "#555555");
            jQuery("#prg_linkedin").attr("readonly", false);
        } else {
            jQuery("#prg_linkedin").attr("readonly", true);
            jQuery("#prg_linkedin").css("background-color", "#EBEBE4");
            jQuery("#prg_linkedin").css("color", "#ACA899");
        }
    });

//    jQuery("#checkGoogleplus").change(function() {
//	if (jQuery("#checkGoogleplus:checked").length) {
//	    jQuery("#prg_googleplus").css("background-color", "rgba(0, 0, 0, 0)");
//	    jQuery("#prg_googleplus").css("color", "#555555");
//	    jQuery("#prg_googleplus").attr("readonly", false);
//	} else {
//	    jQuery("#prg_googleplus").attr("readonly", true);
//	    jQuery("#prg_googleplus").css("background-color", "#EBEBE4");
//	    jQuery("#prg_googleplus").css("color", "#ACA899");
//	}
//    });

    jQuery("#checkTumblr").change(function() {
        if (jQuery("#checkTumblr:checked").length) {
            jQuery("#prg_tumblr").css("background-color", "rgba(0, 0, 0, 0)");
            jQuery("#prg_tumblr").css("color", "#555555");
            jQuery("#prg_tumblr").attr("readonly", false);
        } else {
            jQuery("#prg_tumblr").attr("readonly", true);
            jQuery("#prg_tumblr").css("background-color", "#EBEBE4");
            jQuery("#prg_tumblr").css("color", "#ACA899");
        }
    });

    jQuery("#btnPreviewFacebook").click(function() {
        jQuery('#btnSubmitSocial').attr("disabled", "diabled");
        var postData = {
            comment: jQuery("#prg_facebook").val(),
            username: jQuery("#facebookName").val(),
            imgSrc: jQuery("input:radio[name=image]:checked").val(),
            title: jQuery("#postTitle").val()
        };
        jQuery.ajax({
            type: "POST",
            cache: false,
            url: "admin.php?prgPluginExtern=facebookPreview",
            data: postData,
            success: function(data) {
                jQuery.fancybox({
                    content: data,
                    frameWidth: 500, // set the width
                    autoDimensions: false,
                    onClosed: function() {
                        jQuery('#btnSubmitSocial').removeAttr("disabled");
                    }
                });
            } // success
        });
    });

    var error = "";
    jQuery("#prgConnect_sendSocial").validate({
        onfocusout: false,
        onkeyup: false,
        onclick: false,
        onsubmit: true,
        rules: {
            prg_twitter: {
                rangelength: function() {
                    if (document.prgConnect_sendSocial.checkTwitter.checked == true) {
                        return [1, 139 - jQuery("#shortUrl").val().length];
                    } else {
                        return [0, Infinity];
                    }
                }
            },
            prg_linkedin: {
                rangelength: function() {
                    if (document.prgConnect_sendSocial.checkTwitter.checked == true) {
                        return [1, 600];
                    } else {
                        return [0, Infinity];
                    }
                }
            }
        },
        messages: validateMessages,
        submitHandler: function(form) {
            jQuery(".hider").hide("slow");

            jQuery('#btnSubmitSocial').attr("disabled", "diabled");

            jQuery("#statusTwitterSucc").hide("fast");
            jQuery("#statusTwitterFail").hide("fast");
            jQuery("#statusTwitterLoading").hide("fast");
            jQuery('#sentToTwitter').val('0');
            jQuery("#twitterStatusSpan").html("");

            jQuery("#statusFacebookSucc").hide("fast");
            jQuery("#statusFacebookFail").hide("fast");
            jQuery("#statusFacebookLoading").hide("fast");
            jQuery('#sentToFacebook').val('0');

            jQuery("#statusLinkedinSucc").hide("fast");
            jQuery("#statusLinkedinFail").hide("fast");
            jQuery("#statusLinkedinLoading").hide("fast");
            jQuery('#sentToLinkedin').val('0');

//	    jQuery("#statusGoogleplusSucc").hide("fast");
//	    jQuery("#statusGoogleplusFail").hide("fast");
//	    jQuery("#statusGoogleplusLoading").hide("fast");
//	    jQuery('#sentToGoogleplus').val('0');

            jQuery("#statusTumblrSucc").hide("fast");
            jQuery("#statusTumblrFail").hide("fast");
            jQuery("#statusTumblrLoading").hide("fast");
            jQuery('#sentToTumblr').val('0');

            if (document.prgConnect_sendSocial.checkTwitter.checked == true) {
                jQuery("#statusTwitterLoading").show("fast");
                jQuery.ajax({
                    url: "/wp-admin/admin.php?prgPluginExtern=sendToTwitter",
                    type: "POST",
                    dataType: "json",
                    cache: false,
                    data: jQuery(form).serialize(),
                    success: function(data) {
                        if (data["errors"] !== undefined) {
                            if (data["errors"][0]["code"] == '187') {
                                jQuery("#statusTwitterLoading").hide("fast");
                                jQuery("#statusTwitterFail").show("fast");
                                jQuery("#twitterStatusSpan").html("<small>" + validateMessages.bereits_veroeffentlicht + "</small>");
                                error = error + "\n\r" + validateMessages.bereits_veroeffentlicht;

                            } else {
                                jQuery("#statusTwitterLoading").hide("fast");
                                jQuery("#statusTwitterFail").show("fast");
                                error = error + "\n\r" + validateMessages.fehlerTwitter;
                            }
                        } else {
                            jQuery("#statusTwitterLoading").hide("fast");
                            jQuery("#statusTwitterSucc").show("fast");
                        }
                        jQuery('#sentToTwitter').val('1');
                    }
                });
            }
            if (document.prgConnect_sendSocial.checkFacebook.checked == true) {
                jQuery("#statusFacebookLoading").show("fast");
                jQuery.ajax({
                    url: "/wp-admin/admin.php?prgPluginExtern=sendToFacebook",
                    type: "POST",
                    dataType: "json",
                    cache: false,
                    data: jQuery(form).serialize(),
                    success: function(data) {
                        if (data == null) {
                            jQuery("#statusFacebookLoading").hide("fast");
                            jQuery("#statusFacebookFail").show("fast");
                            error = error + "\n\r" + validateMessages.fehlerFacebook;
                        } else {
                            jQuery("#statusFacebookLoading").hide("fast");
                            jQuery("#statusFacebookSucc").show("fast");
                        }
                        jQuery('#sentToFacebook').val('1');
                    }
                });
            }
            if (document.prgConnect_sendSocial.checkLinkedin.checked == true) {
                jQuery("#statusLinkedinLoading").show("fast");
                jQuery.ajax({
                    url: "/wp-admin/admin.php?prgPluginExtern=sendToLinkedin",
                    type: "POST",
                    dataType: "json",
                    cache: false,
                    data: jQuery(form).serialize(),
                    success: function(data) {
                        if (data == null) {
                            jQuery("#statusLinkedinLoading").hide("fast");
                            jQuery("#statusLinkedinFail").show("fast");
                            error = error + "\n\r" + validateMessages.fehlerLinkedin;
                        } else {
                            jQuery("#statusLinkedinLoading").hide("fast");
                            jQuery("#statusLinkedinSucc").show("fast");
                        }
                        jQuery('#sentToLinkedin').val('1');
                    }
                });
            }
//	    if (document.prgConnect_sendSocial.checkGoogleplus.checked == true) {
//		jQuery("#statusGoogleplusLoading").show("fast");
//		jQuery.ajax({
//		    url: "/wp-admin/admin.php?prgPluginExtern=sendToGoogleplus",
//		    type: "POST",
//		    dataType: "json",
//		    cache: false,
//		    data: jQuery(form).serialize(),
//		    success: function(data) {
//			if (data.code == "OK") {
//			    jQuery("#statusGoogleplusLoading").hide("fast");
//			    jQuery("#statusGoogleplusSucc").show("fast");
//			} else {
//			    jQuery("#statusGoogleplusLoading").hide("fast");
//			    jQuery("#statusGoogleplusFail").show("fast");
//			    error = error + "\n\r" + validateMessages.fehlerGoogleplus;
//			}
//			jQuery('#sentToGoogleplus').val('1');
//		    }
//		});
//	    }
            if (document.prgConnect_sendSocial.checkTumblr.checked == true) {
                jQuery("#statusTumblrLoading").show("fast");
                jQuery.ajax({
                    url: "/wp-admin/admin.php?prgPluginExtern=sendToTumblr",
                    type: "POST",
                    cache: false,
                    data: jQuery(form).serialize(),
                    success: function(data) {
                        if (data == "true") {
                            jQuery("#statusTumblrLoading").hide("fast");
                            jQuery("#statusTumblrSucc").show("fast");
                        } else {
                            jQuery("#statusTumblrLoading").hide("fast");
                            jQuery("#statusTumblrFail").show("fast");
                            error = error + "\n\r" + validateMessages.fehlerTumblr;
                        }
                        jQuery('#sentToTumblr').val('1');
                    }
                });
            }

            jQuery(document).ajaxStop(function() {
                if (error) {
                    openInfoBox('<div class="alert alert-danger">' + error + '</div>');
                } else {
                    openInfoBox('<div class="alert alert-success">' + validateMessages.erfolg + '</div>');
                }
            });
        }
    });
});

function openInfoBox(text) {
    parent.jQuery.fancybox({
        'autoDimensions': true,
        'transitionIn': 'fade',
        'transitionOut': 'fade',
        'scrolling': 'auto',
        'content': text
    });
}